/**
 * 
 */
package de.ppi.psec.services;

import java.util.HashMap;
import java.util.Map;

import models.psec.PsecRole;


/**
 * Small stub with allows to define the role which should loaded.
 * @author niels
 *
 */
public class AuthorizationServiceStub extends AuthorizationServiceImpl {
    
    private final Map <String, PsecRole> roles = new HashMap <String, PsecRole>();
    
    
    
    public AuthorizationServiceStub(AuthenticationService authenticationService) {
        super(authenticationService, true);
    }



    public  void addRole(PsecRole role) {
        roles.put(role.getName(), role);
    }



  
    

}
