package de.ppi.psec.services;

import java.security.Permission;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import models.psec.User;

class AuthenticationServiceStub extends AuthenticationServiceImpl implements AuthenticationService {


    private List<String> roles = null;

    private List<Permission> permissions = new ArrayList<Permission>();
    
    private Map<Long,User> userIdMap = new HashMap <Long, User>();
    
    private Map<String,User> userLoginnameMap = new HashMap <String, User>();

    public AuthenticationServiceStub() {
        super(10, "100d", "ashfljaskdhfasldh fasjhflas fa lds");
    }
    
    public void addUser(User user) {
        this.userIdMap.put(user.getId(), user);
        this.userLoginnameMap.put(user.getLoginname(), user);
    }

    public void setPermissions(List<Permission> permissions) {
        this.permissions = permissions;
    }

    public void setRoles(List<String> roles) {
        this.roles = roles;
    }

    @Override
    public List<String> getRoles() {
        if (roles == null) {
            return super.getRoles();
        } else {
            return roles;
        }
    }

    @Override
    public List<Permission> getPermissions() {
        if (permissions.isEmpty()) {
            return super.getPermissions();
        } else {
            return permissions;
        }
    }
    
}